echo off
cls
echo  QHelpC Setup, 01 Feb 92, Rhg Ŀ
echo                                                  
echo  This setup program will:                                                    
echo     Make a sub Directory C:\QHelpC. Copy the HELP.EXE, QHelp.H! and support  
echo     files to C:\QHelpC.  You may customize this installation later.          
echo                                                                              
echo         To run this setup utility, you MUST be logged on to the Drive        
echo         ( and Directory ), containing ALL of the supplied QHelpC files.      
echo                                                                              
echo    The SHAREWARE QHelpC.EXE file MUST first be copied to a 'temporary' sub   
echo    Directory on your Hard Drive. The QHelpC file must then be executed, to   
echo    extract all of its files. NOTE THAT THE SETUP UTILITY CAN BE RUN FROM     
echo    A FLOPPY IF ALL OF THE EXTRACTED FILES WILL FIT ( i.e. 5 1/4" Hi-Density  
echo    or a 3 1/2" 720K byte or 1.4M byte ).                                     
echo                                                                              
echo      NOTE: If a C:\QHelpC directory exists, any files located there will     
echo            be copied to a C:\QHelpC\QHelpC.OLD directory.  This will only    
echo            occur the first time you run this utility ( to prevent over-      
echo            writting your old files ). You can delete these files and the     
echo            directory later, if you wish.  see also README.BAT                
echo                                                                              
echo      Press [ CTRL C ] ... [ Y ] to abort setup, any other key to continue... 
echo  010192, SC4EE0 
pause > nul

:Install
cls
set V1=0

if not exist qhsetup.p1   set v1=1

if not exist readme.p0    set v1=1
if not exist readme.p1    set v1=1
if not exist readme.p2    set v1=1
if not exist readme.p3    set v1=1
if not exist readme.p4    set v1=1

if not exist Qh.BAT       set V1=1
if not exist QhM.BAT      set V1=1
if not exist QhS.BAT      set V1=1
if not exist Readme.BAT   set V1=1

if not exist QHelpC.DAT   set V1=1
if not exist Register.DOC set V1=1

if not exist HELP.EXE     set V1=1
if not exist HELP1.EXE    set V1=1

:  SemWare Version Test
if not exist semware.ver goto Normal
if not exist Q.EXE        set V1=1

:Normal
if not exist QHelp.H!     set V1=1
if not exist QHelpC.TXT   set V1=1

if %V1%==1 goto Error
set V1=

IF exist C:\QHelpC\*.* goto SaveOld
goto MakeDir

:SaveOld
if exist C:\QHelpC\QhelpC.OLD\*.* goto CopyFiles
MD C:\QHelpC\QHelpC.OLD
cls
echo Saving OLD C:\QHelpC files to C:\QHelpC\QHelpC.OLD
COPY C:\QHelpC\*.* C:\QHelpC\QHelpC.OLD > NUL
goto CopyFiles

:MakeDir
MD C:\QHelpC
cls

:CopyFiles
:  SemWare Conditional
if exist semware.ver echo COPYING 16 files to C:\QHelpC ... please stand by...
if NOT exist semware.ver echo COPYING 15 files, to C:\QHelpC ... please stand by...
echo 
copy Qh.BAT C:\QHelpC
copy Qhm.BAT C:\QHelpC
copy Qhs.BAT C:\QHelpC
copy Readme.BAT C:\QHelpC

copy QHelpC.DAT C:\QHelpC
copy Register.DOC C:\QHelpC

copy Help.EXE C:\QHelpC
copy Help1.EXE C:\QHelpC

:  SemWare Version Test
if exist semware.ver copy Q.EXE C:\QHelpC

copy QHelp.H! C:\QHelpC

copy Readme.p0 C:\QHelpC
copy Readme.p1 C:\QHelpC
copy Readme.p2 C:\QHelpC
copy Readme.p3 C:\QHelpC
copy Readme.p4 C:\QHelpC

copy QHelpC.TXT C:\QHelpC
echo.

:  SemWare Conditional
if exist semware.ver echo Verify that 16 files were copied.
if NOT exist semware.ver echo Verify that 15 files were copied.
echo If OK, Press any key to continue...  else [ CTRL C ] [ Y ] to ABORT.
echo.
echo   NOTE: If the installation is being made from a floppy drive, do NOT
echo         remove the diskette from the floppy drive until told to do so !
pause > nul
cls
if "test"=="%1" goto Test?

type qhsetup.p1
C:
CD C:\QHelpC
echo                          Press any key to continue...
pause > nul
HELP Qhelp
cls
echo NOTE: IF you had a C:\QHelpC sub Directory and files, they were copied to
echo       the C:\QHelpC\QHelpC.OLD directory. If you wish to save these files,
echo       you should copy them to a floppy and then delete the files from the
echo       C:\QHelpC\QHelpC.OLD sub Directory. Then remove the sub Directory.
echo.
echo       Note that the files in an existing C:\QHelpC sub Directory are only
echo       copied if a C:\QHelpC\QHelpC.OLD sub Directory does NOT exist. This
echo       is done to prevent overwritting your old files, in the event you run
echo       the "Qhsetup" utility more than once.
echo.
echo       If you created a 'temporary' sub Directory, on your Hard Disk,
echo       for the self-extractor ( QHelpC.EXE ), and the extracted files;
echo          Delete all of the files in  the 'temporary' directory you created.
echo          Then, remove the 'temporary' directory.
goto preEND

:Error
echo 
cls
echo                                   ERROR !!!
echo                                   
echo.
if not exist qhsetup.p1   echo QhSetup.p1 file does NOT exist !

if not exist readme.p0    echo readme.p0 file does NOT exist !
if not exist readme.p1    echo readme.p1 file does NOT exist !
if not exist readme.p2    echo readme.p2 file does NOT exist !
if not exist readme.p3    echo readme.p3 file does NOT exist !
if not exist readme.p4    echo readme.p4 file does NOT exist !

if not exist Qh.BAT       echo Qh.BAT file does NOT exist !
if not exist Qhm.BAT      echo Qhm.BAT file does NOT exist !
if not exist Qhs.BAT      echo Qhs.BAT file does NOT exist !
if not exist Readme.BAT   echo Readme.BAT file does NOT exist !

if not exist QHelpC.DAT   echo QHelpC.DAT file does NOT exist !

if not exist Register.DOC echo Register.DOC file does NOT exist !

if not exist HELP.EXE     echo HELP.EXE file does NOT exist !
if not exist HELP1.EXE    echo HELP1.EXE file does NOT exist !

:  SemWare Version Test
if not exist semware.ver goto Normal1
if not exist Q.EXE        echo Q.EXE file does NOT exist !

:Normal1
if not exist QHelpC.TXT   echo QHelpC.TXT file does NOT exist !

if not exist QHelp.H!     echo QHelp.H! file does NOT exist !
echo.
echo                             Aborting Installation.

:preEND
echo.
echo.
echo                 If the installation was made from a floppy drve;
echo.
echo                 After the floppy drive light has gone out, you
echo                 may remove the diskette from the floppy drive.
echo 

if NOT "test"=="%1" goto END

:Test?
echo Press any key for Test Mode
pause > NUL
if NOT exist C:\QHelpC\QHelpC.OLD\*.* goto END
DEL C:\QHelpC\QHelpC.OLD\*.*
RD C:\QHelpC\QHelpC.OLD
goto END

:END
